|  | Home |

# QMailMessageSink Class Reference

The QMailMessageSink class defines the interface to objects that provide external message transmission services to the messageserver. More...

        #include <QMailMessageSink>

Inherits QObject.

- List of all members, including inherited members

## Public Slots

virtual bool | transmitMessages ( const QMailMessageIdList & ids )
virtual bool | transmitMessages ( const QMailMessageIdList & ids, quint64 action )

- 1 public slot inherited from QObject

## Signals

void | messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode error )
void | messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode, quint64 action )
void | messagesTransmitted ( const QMailMessageIdList & ids )
void | messagesTransmitted ( const QMailMessageIdList & ids, quint64 action )

- 1 signal inherited from QObject

## Protected Functions

| QMailMessageSink ( QMailMessageService * service )
void | notImplemented ( quint64 action )

- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 29 public functions inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailMessageSink class defines the interface to objects that provide external message transmission services to the messageserver.

The Qt Extended messageserver uses the QMailMessageSink interface to cooperate with components loaded from plugin libraries, that act as external transmitters of messaging data for the messaging framework. Instances of QMailMessageSink are not created directly by the messageserver, but are exported by QMailMessageService objects via their sink function.

See also QMailMessageService.

## Member Function Documentation

### QMailMessageSink::QMailMessageSink ( QMailMessageService * service ) `[protected]`

Creates a message sink object associated with the service service.

### void QMailMessageSink::messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode error ) `[signal]`

Signal emitted by the sink to report the failure of an attempt at transmission of the messages listed in ids.

The failure is of type error.

### void QMailMessageSink::messagesFailedTransmission ( const QMailMessageIdList & ids, QMailServiceAction::Status::ErrorCode, quint64 action ) `[signal]`

### void QMailMessageSink::messagesTransmitted ( const QMailMessageIdList & ids ) `[signal]`

Signal emitted by the sink to report the successful transmission of the messages listed in ids.

### void QMailMessageSink::messagesTransmitted ( const QMailMessageIdList & ids, quint64 action ) `[signal]`

### void QMailMessageSink::notImplemented ( quint64 action ) `[protected]`

### bool QMailMessageSink::transmitMessages ( const QMailMessageIdList & ids ) `[virtual slot]`

Invoked by the message server to initiate a transmission operation.

Attempt to transmit each message listed in ids to the external server.

Successfully transmitted messages should be progressively reported via messagesTransmitted().

Messages for which for which an unsuccessful attempt to transmit has been made should be progressively reported via messagesFailedTransmission().

Return true if an operation is initiated.

### bool QMailMessageSink::transmitMessages ( const QMailMessageIdList & ids, quint64 action ) `[virtual slot]`